- Qt 5.5
- Qt3D Module
- C++ Classes
- QLockableObserverInterface
- Qt 5.5.1 Reference Documentation

# QLockableObserverInterface Class

(Qt3D::QLockableObserverInterface)

Inherits: | QObserverInterface
Inherited By: |

- List of all members, including inherited members

## Public Functions

virtual | ~QLockableObserverInterface()
virtual void | sceneChangeEventWithLock(const QSceneChangePtr & e) = 0
virtual void | sceneChangeEventWithLock(const QSceneChangeList & e) = 0

- 1 public function inherited from Qt3D::QObserverInterface

## Member Function Documentation

### `[virtual]` QLockableObserverInterface::~QLockableObserverInterface()

### `[pure virtual]` void QLockableObserverInterface::sceneChangeEventWithLock(const QSceneChangePtr & e)

### `[pure virtual]` void QLockableObserverInterface::sceneChangeEventWithLock(const QSceneChangeList & e)